// pages/home/index.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '我的信息',
    },
    form: {},
  },
  // 返回
  back: function () {
    wx.switchTab({
      url: '/pages/my/index',
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    if(options.id) {
      const res = await app.$get(`/user/${options.id}`);
      this.setData({ form: res.data });
    } else {
      wx.switchTab({
        url: '/pages/login/index',
      });
    }
  },
  // 保存
  async formSubmit(e) {
    const data = e.detail.value
    let url;
    if (data._id) url = `/user/${data._id}`;
    else {
      data.openid = app.globalData.wxInfo.openid
      url = `/user`;
    }
    const res = await app.$post(url, data);
    if (res.errcode === 0) wx.showToast({ title: '维护成功', icon: 'success' });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
